Description

The today button in the date picker doesn't work in redmine 2.3.0 stable.

It is greyed out and nothing happen when clicking on it.

Am I the only one with that problem.

I use Bitnami Redmine stack 2.3.0.

Environment:

  Redmine version                          2.3.0.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

Redmine plugins:

  redmine_knowledgebase                    2.2.0

  redmine_people                           0.1.6

History

#1 - 2013-04-22 19:32 - Filou Centrinov

It's working.

Try this: Switch the month in the calendar. Now press the today button and the calendar will show current month. The today button does not close the

widget or insert a value into the date field. The today button is greyed out, this is correct.

#2 - 2013-04-24 19:42 - Regis Tremblay

- Status changed from New to Resolved

Ok so unlike the v1.3, that button do not actually put the date in the field.

Thank you very much.

#3 - 2013-04-24 21:18 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

#4 - 2013-05-08 15:45 - Anonymous

This functionality as currently implemented is not intuitive to the user. Could I suggest that the today button is only greyed out when today is current

selected? If today is not currently selected, the today button should not be greyed out and clicking it should snap the date picker to today.

I would also suggest changing the outline of the date for today from blue to red, this will provide contrast to the user so they can see the difference

between what is currently selected and what today's date is.

Lastly, clicking on a date in the date picker should not close the widget. The widget should only close when selecting done. These changes will make

using the date picker widget very intuitive to the user.

#5 - 2013-05-10 12:37 - Mischa The Evil

Jason E wrote:

This functionality as currently implemented is not intuitive to the user. [...]

[...] These changes will make using the date picker widget very intuitive to the user.
 I see your point, though the problem with this is that Redmine uses the stock jQuery UI Datepicker widget (http://jqueryui.com/datepicker/) and I don't

think it is a good idea to start patching third-party components inside Redmine (again). Ideally, these enhancements shall be implemented upstream.

Please open a new issue if there is a need to discuss this further because this issue is closed since the functionality is working as expected as Filou

outlined in note-1.

#6 - 2013-05-11 18:14 - dj jones

It may not be necessary to change the upstream jQuery code, if trying to change the datePicker functionality.

See the solution proposed by Walter on this page: (it's a couple of years old, so possibly may not work in latest datePicker ?)

-  http://stackoverflow.com/questions/1073410/today-button-in-jquery-datepicker-doesnt-work

See his section starting:

" I don't like the solution of modifying the jQuery source code because it removes the ability to use a CDN. Instead, you can reassign the _gotoToday

function...

#7 - 2014-04-07 17:38 - Dmitry Salashnik

Plugin that fixes this: https://github.com/NEXSTEP/redmine_datepicker_fix
